Was the request a success

- « SolrResponse::setParseMode

- SolrQueryResponse »

- PHP Manual
- SolrResponse
- Was the request a success

# SolrResponse::success

(PECL solr >= 0.9.2)

SolrResponse::success — Was the request a success

### Description

public SolrResponse::success(): bool

Used to check if the request to the server was successful.

### Parameters

This function has no parameters.

### Return Values

Returns `true` if it was successful and `false` if it was not.